import xhiveframework

base_template_path = "www/robots.txt"


def get_context(context):
	robots_txt = (
		xhiveframework.db.get_single_value("Website Settings", "robots_txt")
		or (xhiveframework.local.conf.robots_txt and xhiveframework.read_file(xhiveframework.local.conf.robots_txt))
		or ""
	)

	return {"robots_txt": robots_txt}
